Page MenuHomePhabricator

[CongressLookup] Update senators.json
Closed, ResolvedPublic

Description

With https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CongressLookup/+/458297/ @Jdforrester-WMF and myself also wonder if there has been further changes in the U.S. Senate that needs to be documented there so people can contact the right Senator. Since @kaldari created the list, I'm adding him here. Thank you.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2018, 9:44 PM

The only update that should be needed is replacing John McCain with Jon Kyl.

The only update that should be needed is replacing John McCain with Jon Kyl.

Okay so 458297 can be merged and we just need to compile the data for Jon Kyl; unless you want to do both in the same patch? Thanks.

Change 460860 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/CongressLookup@wmf/1.32.0-wmf.20] Senator John McCain deceased

https://gerrit.wikimedia.org/r/460860

Change 460861 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/CongressLookup@wmf/1.32.0-wmf.20] Add Sen. Jon Kyl

https://gerrit.wikimedia.org/r/460861

Change 460860 merged by jenkins-bot:
[mediawiki/extensions/CongressLookup@wmf/1.32.0-wmf.20] Senator John McCain deceased

https://gerrit.wikimedia.org/r/460860

Change 460861 merged by jenkins-bot:
[mediawiki/extensions/CongressLookup@wmf/1.32.0-wmf.20] Add Sen. Jon Kyl

https://gerrit.wikimedia.org/r/460861

Mentioned in SAL (#wikimedia-operations) [2018-09-17T12:01:25Z] <zfilipin@deploy1001> Synchronized php-1.32.0-wmf.20/extensions/CongressLookup/: SWAT: [[gerrit:460860|Senator John McCain deceased (T203611)]] [[gerrit:460861|Add Sen. Jon Kyl (T203611)]] (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-09-17T12:01:25Z] <zfilipin@deploy1001> Synchronized php-1.32.0-wmf.20/extensions/CongressLookup/: SWAT: [[gerrit:460860|Senator John McCain deceased (T203611)]] [[gerrit:460861|Add Sen. Jon Kyl (T203611)]] (duration: 00m 51s)

Change 460894 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/CongressLookup@master] Fix contact page for Sen. Jon Kyl

https://gerrit.wikimedia.org/r/460894

Change 460894 merged by jenkins-bot:
[mediawiki/extensions/CongressLookup@master] Fix contact page for Sen. Jon Kyl

https://gerrit.wikimedia.org/r/460894

Jdforrester-WMF closed this task as Resolved.Oct 15 2018, 5:36 PM
Jdforrester-WMF assigned this task to MarcoAurelio.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptOct 15 2018, 5:36 PM